HUGO-DEPLOY(1)

NAME

hugo-deploy - Deploy your site to a Cloud provider.

SYNOPSIS

hugo deploy [flags] [args]

DESCRIPTION

Deploy your site to a Cloud provider.

See https://gohugo.io/hosting-and-deployment/hugo-deploy/ for detailed documentation.

OPTIONS

--confirm[=false]
    ask for confirmation before making changes to the target

--dryRun[=false]
    dry run

--force[=false]
    force upload of all files

-h, --help[=false]
    help for deploy

--invalidateCDN[=true]
    invalidate the CDN cache listed in the deployment target

--maxDeletes=256
    maximum # of files to delete, or -1 to disable

--target=""
    target deployment from deployments section in config file; defaults to the first one

--workers=10
    number of workers to transfer files. defaults to 10

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo(1)